/*
Goto NoRexx
*/

/*****************************************************************************\
 *              Install.cmd  NPS WPS uninstallation batch file               *
 *                          By Jacco de Leeuw                                *
 *                                                                           *
 *           REXX Code was taken from various sources, such as               *
 * PC/2 Install.cmd: Copyright (C) by Stangl Roman, 1993, 1994, 1995         *
 * FM/2 Install.cmd: Copyright (C) 1993/94 by M. Kimes (Bare Bones Software) *
 *                                                                           *
\*****************************************************************************/

Main:

'@Echo off'
Call On Halt Name GoodBye
Parse Source Source.1 Source.2 Source.3;
Parse Arg StartupArgument;

Call Initialize;
Call SetupLanguageStrings;
Call CheckRunning;
Call DeleteStuff;
Call GoodBye 1;
Exit;

/*--------------------------------------------------------------------------------------*\
 * Show the startup screen and ask the user which language he or she prefers.           *
 *                                                                                      *
\*--------------------------------------------------------------------------------------*/

Initialize:

/* load rexx utility functions */
call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

Esc=d2c(27)d2c(91)
Hig=esc'1m'
LRed=Hig||esc'31m'
LGre=Hig||esc'32m'
LWhi=Hig||esc'37m'
BBlu=esc'44m'
Say LWhi||BBlu'Abcd';                   /* Set highlighted white on blue */

cr='0d'x;
crlf='0d0a'x;
/* Remember the path from which the user executed the INSTALL */
InvokeDir=Directory();
/* Get the full path of UNINSTAL.CMD (may be diff. than InvokeDir! */
SourceDir=FileSpec('Drive',Source.3)||FileSpec('Path',Source.3);
/* Drop the trailing \. Otherwise we can't change to it(!) */
SourceDir=Strip(SourceDir,"T","\");
SourceDir=Directory(SourceDir);

'Cls';
Language=SysIni("NPSWPS.INI","NPS WPS Enhancer","Language")
If (Language\="J" & Language\="D" & Language\="N" & Language\="F" & Language\="I" & Language\="S" )
Then Language="E";
Return;

/*--------------------------------------------------------------------------------------*\
 *  Print NPS WPS banner                                                                *
 *                                                                                      *
\*--------------------------------------------------------------------------------------*/
Banner:
'Cls';
Say LRed;
Say"     Ŀ";
Say"                      "LWhi"NPS WPS Uninstallation Script"LRed"                     ";
Say"              "LWhi"Copyright (c) 1995,1996 by Shinji "N.P.S." Takasugi"LRed"         ";
Say"     "LWhi;
Say;
Return;

/*--------------------------------------------------------------------------------------*\
 * Setup some language dependent strings which can be used later in the program.        *
 *                                                                                      *
\*--------------------------------------------------------------------------------------*/

SetupLanguageStrings:

Select
When (Language="E") | (Language="J") Then


/*-----------------------English translation strings------------------------------------*/
        Do
        TITLE4=         "Uninstall NPS WPS";
        FILENOTFOUND=   "NPSWPS.EXE not found! Are the files complete?",
                        " Otherwise, you could"crlf"try to run UNINSTAL.CMD from the",
                        " directory with the installation files.";
        RUNNING=        'NPS WPS is still running at the moment! You have to close NPS WPS and '||,
                        'XIT'crlf'first and then start "'TITLE4'" again.';
        ONELASTCHANCE=  "I'm about to delete the NPS WPS folder with all the objects in it.",
                        crlf||"I'm also going to delete the directory ";
        AREYOUSURE=     "Are you sure you want to do this?"crlf"Choose Y (Yes) or N (No) and hit the",
                        "Enter key: ";
        EXCELLENT=      "You didn't hit Y. Excellent!";
        GO_AHEAD=       "Y";
        PRESSANYKEY=    "Press any key";
        CANNOTDELDIR=   "Could not delete directory.";
        DIRDELETED=     "NPS WPS successfully deleted.";
        End;
/*-----------------------English translation strings------------------------------------*/


/*-----------------------German translation strings------------------------------------*/
When (Language="D") Then
        Do
        TITLE4=         "NPS WPS lschen";
        FILENOTFOUND=   "NPSWPS.EXE nicht gefunden! Sind die Dateien vollstndig? ",
                        "Anders"crlf"probieren Sie UNINSTAL.CMD im Verzeichnis mit den ",
                        "Installationsdateien zu"crlf"starten.";
        RUNNING=        'NPS WPS ist noch aktief! Sie mssen NPS WPS und XIT erst beenden und',
                        crlf'danach "'TITLE4'" erneut starten.';
        ONELASTCHANCE=  "I'm about to delete the NPS WPS folder with all the objects in it.",
                        crlf"Also, the following directory will be deleted: ";
        AREYOUSURE=     "Are you sure you want to do this?"crlf"Choose J (Ja) oder N (Nein) and hit the",
                        "Enter key: ";
        EXCELLENT=      "You didn't hit Y. Super!";
        GO_AHEAD=       "J";
        PRESSANYKEY=    "Drcke Sie eine Taste";
        CANNOTDELDIR=   "Could not delete directory.";
        DIRDELETED=     "NPS WPS successfully deleted.";
        End;
/*-----------------------German translation strings------------------------------------*/

When (Language="N") Then
/*------------------------Dutch translation strings------------------------------------*/
        Do
        TITLE4=         "NPS WPS verwijderen";
        FILENOTFOUND=   "NPSWPS.EXE niet gevonden! Zijn de bestanden wel compleet?"crlf,
                        "Probeer UNINSTAL.CMD anders op te starten vanuit de directory met",
                        " de"crlf"installatiebestanden.";
        RUNNING=        "NPS WPS draait momenteel nog steeds! U dient NPS WPS en XIT eerst af ",
                        crlf'te sluiten en daarna "'TITLE4'" opnieuw op te starten.';
        ONELASTCHANCE=  "Ik sta op het punt om de NPS WPS map met objecten en al te verwijderen.",
                        crlf"Ook de volgende directory zal gewist worden: ";
        AREYOUSURE=     "Weet u zeker dat u dit wilt doen?"crlf"Kies J (Ja) of N (Nee) en druk op",
                        "de Enter toets: ";
        PRESSANYKEY=    "Druk op een toets";
        GO_AHEAD=       "J";
        EXCELLENT=      "Geen J getypt. Uitstekend!";
        CANNOTDELDIR=   "Kan directory niet verwijderen.";
        DIRDELETED=     "NPS WPS met succes verwijderd.";
        End;
/*------------------------Dutch translation strings------------------------------------*/

When (Language="S") Then
/*-----------------------Finnish translation strings------------------------------------*/
        Do
        TITLE4=                 "NPS WPS ohjelman poisto";
        FILENOTFOUND=          "NPSWPS.EXE ohjelmaa ei lydy!"crlf||,
		   "Onko asennus suoritettu loppuun?",
                        "Muussa tapauksessa voit yritt"crlf"suorittaa UNINSTAL.CMD",
                        "asennushakemistosta ksin.";
        RUNNING=                'NPS WPS ohjelma on kynniss!'crlf||,
		'NPS WPS sek XIT ohjelma tytyy ensin sulkea ja aloittaa tmn jlkeen 'crlf||,
                        '"'TITLE4'" ohjelma uudestaan.';
        ONELASTCHANCE=          "NPS WPS kansio poistetaan sisltineen.",
                        crlf||"Mys seuraava hakemisto poistetaan sisltineen: ";
        AREYOUSURE=             "Oletko varma?"crlf"Valitse K (Kyll) tai E (Ei) ja paina",
                        "rivinvaihtoa (Enter): ";
        EXCELLENT=              "Et painanutkaan K. Hienoa!";
        GO_AHEAD=               "K";
        PRESSANYKEY=            "Paina nppint";
        CANNOTDELDIR=           "Hakemistoa ei voi poistaa.";
        DIRDELETED=             "NPS WPS on poistettu.";
        End;
/*-----------------------Finnish translation strings------------------------------------*/

Otherwise
        Call GoodBye 0;
End;
Return;

/*--------------------------------------------------------------------------------------*\
 *                       Check if NPS WPS is already running                            *
 *                                                                                      *
\*--------------------------------------------------------------------------------------*/

CheckRunning:

'Cls'
rc = stream('npswps.exe','c','query exists');
If rc = '' Then
Do
        Call Banner;
        Say FILENOTFOUND;
        Call GoodBye 1;
End;

"pstat /c |find /i /c ""npswps.exe"""
If SysTextScreenRead(0,0,1)="1" Then
        Do
        Call Banner;
        Say RUNNING;
        Say;
        Call GoodBye 1;
        End;
Return;

/*--------------------------------------------------------------------------------------*\
 *                          Do the actual deleting                                      *
 *                                                                                      *
\*--------------------------------------------------------------------------------------*/
DeleteStuff:

Call Banner;
Say ONELASTCHANCE||LGre||SourceDir||LWhi;
Call charout ,crlf||AREYOUSURE;
Pull Answer;
Say;
If Left(Strip(Answer),1)\=GO_AHEAD Then
        Say EXCELLENT;
Else
Do
        rc=SysDestroyObject("<NPSWPS_Folder>");
        /* We've already asked confirmation so that's why the /N is there.
           But /N doesn't work under 4OS/2 so that's why this icon calls CMD.EXE.  */
        'DEL 'SourceDir'\*.* /N';
        'CD \';
        'RD 'SourceDir;
        If rc\=0 Then
                Say LRed||CANNOTDELDIR;
        Else
                Say DIRDELETED;
End;
Return;

/*--------------------------------------------------------------------------------------*\
 *                   Clean up and exit gracefully                                       *
 *                                                                                      *
\*--------------------------------------------------------------------------------------*/

GoodBye:

Parse Arg ExitCode;

If (ExitCode=1) & (StartupArgument="/STARTEDFROMWPS") Then
Do
        Say LWhi||PRESSANYKEY;
        rc=SysGetKey('NOECHO');
End
Else    Say LWhi;
Exit;

/*--------------------------------------------------------------------------------------*\
 *    No REXX-support? We must be using OS/2 2.x, REXX has to be installed by user      *
 *                                                                                      *
\*--------------------------------------------------------------------------------------*/

:NoRexx

@Echo Off
Echo FATAL ERROR: No REXX-support has been installed. Please use
Echo "Selective Install" in the "System" folder to install REXX.
Echo --------------------------------------------------------------
Echo PROBLEEM: REXX-ondersteuning is niet genstalleerd. Gebruik
Echo "Onderdelen Installeren" in de map "Systeem" om REXX te
Echo installeren
Echo --------------------------------------------------------------
Echo FEHLER: Die REXX-Untersttzung ist nicht vorhanden.
Echo benutzen Sie "Installation anpassen" im Ordner
Echo "Systemkonfiguration" um REXX zu installieren.
Echo --------------------------------------------------------------
Echo VIRHE: REXX -tukea ei ole asennettu. Kyt "Jrjestelmn asetukset"
Echo kansiosta lytyv "Valikoiva asennus" ohjelmaa asentaaksesi
Eche REXX tuen.
Echo --------------------------------------------------------------

Pause


